unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, CheckLst,

  jc_ini,
  jc_win,

  JvExCheckLst, JvCheckListBox, Mask,
  JvExMask, JvToolEdit, ExtCtrls, JvExExtCtrls, JvExtComponent,
  JvCaptionPanel, JvExControls, JvXPCore, JvXPButtons, Menus,
  JvComponentBase, JvDragDrop;

type
  TForm1 = class(TForm)
    JvCaptionPanel1: TJvCaptionPanel;
    JvFilenameEdit1: TJvFilenameEdit;
    JvCaptionPanel2: TJvCaptionPanel;
    JvCaptionPanel3: TJvCaptionPanel;
    JvCheckListBox1: TJvCheckListBox;
    ComboBox1: TComboBox;
    btn_chercher: TJvXPButton;
    JvCaptionPanel4: TJvCaptionPanel;
    JvXPButton2: TJvXPButton;
    JvXPButton3: TJvXPButton;
    btn_cocher: TJvXPButton;
    JvXPButton5: TJvXPButton;
    JvXPButton6: TJvXPButton;
    JvXPButton7: TJvXPButton;
    JvCaptionPanel5: TJvCaptionPanel;
    Label1: TLabel;
    JvDragDrop1: TJvDragDrop;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    procedure JvFilenameEdit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btn_chercherClick(Sender: TObject);
    procedure btn_cocherClick(Sender: TObject);
    procedure JvXPButton2Click(Sender: TObject);
    procedure JvXPButton5Click(Sender: TObject);
    procedure JvXPButton3Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Quitter1Click(Sender: TObject);
    procedure JvXPButton6Click(Sender: TObject);
    procedure JvXPButton7Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  _IS_MODIFIED : boolean;

implementation

{$R *.dfm}

procedure TForm1.JvFilenameEdit1Change(Sender: TObject);
begin

Try
if fileexists(JvFilenameEdit1.FileName) then BEGIN
  JvCheckListBox1.Items.LoadFromFile(JvFilenameEdit1.FileName);
  savestr('CHEMIN','PREFS', JvFilenameEdit1.FileName );
END;

Except
  On E:Exception Do
  ShowMessage('ERR:JvFilenameEdit1Change =>'+E.Message);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
getposition(self);
JvFilenameEdit1.FileName := getstr('CHEMIN','PREFS', JvFilenameEdit1.FileName );
if FileExists('liste.txt') then ComboBox1.Items.LoadFromFile('liste.txt');

_IS_MODIFIED := false;

end;

procedure TForm1.btn_chercherClick(Sender: TObject);
var i : integer;

begin

for i := 0 to JvCheckListBox1.Items.Count-1 do
  if pos(LowerCAse(ComboBox1.Text), LowerCase(JvCheckListBox1.items[i])) > 0 then BEGIN
    JvCheckListBox1.Selected[i] := True;
    JvCheckListBox1.Checked[i] := True;
  END;


end;

procedure TForm1.btn_cocherClick(Sender: TObject);
var i : integer;


begin

for i := 0 to JvCheckListBox1.Items.Count-1 do
  if JvCheckListBox1.Selected[i] = True then
    JvCheckListBox1.Checked[i] := True;


end;

procedure TForm1.JvXPButton2Click(Sender: TObject);
var i : integer;

begin

// Sauve le fichier sous bak
JvCheckListBox1.Update;

if JvCheckListBox1.SelCount = 0 then BEGIN
  ShowMessage('Rien  supprimer');
  Exit;
END;

JvCheckListBox1.Items.SaveToFile(JvFilenameEdit1.FileName+'.bak');

_IS_MODIFIED := True;

Try
for i := JvCheckListBox1.Items.Count-1  downto 0 do
  if JvCheckListBox1.Checked[i] = True then JvCheckListBox1.DeleteSelected;
Except
  On E:Exception Do
  ShowMessage('ERR:BTN SUPPRIMER => '+ E.Message);
  end;



end;


procedure TForm1.JvXPButton5Click(Sender: TObject);
begin

JvCheckListBox1.Items.LoadFromFile(JvFilenameEdit1.FileName);

end;

procedure TForm1.JvXPButton3Click(Sender: TObject);
begin

close;

end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin

SavePosition(self);

if _IS_MODIFIED = true then JvCheckListBox1.Items.SaveToFile(JvFilenameEdit1.FileName);

ComboBox1.Items.SaveToFile('liste.txt');
application.Terminate;

end;

procedure TForm1.Quitter1Click(Sender: TObject);
begin
application.Terminate;
end;


procedure TForm1.JvXPButton6Click(Sender: TObject);
begin
with JvFilenameEdit1 do Begin
  DialogTitle := 'Localisez dans le dossier cach des application du systme le fichier "PREFS.JS"';
  DefaultExt := '.JS';
  InitialDir := format('"C:\Documents and Settings\%s\Application Data\Mozilla\Firefox\Profiles\"',[Get_UserName]);
  Text := InitialDir + '*\PREFS.JS';
  DoClick;
End;

end;

procedure TForm1.JvXPButton7Click(Sender: TObject);
begin
with JvFilenameEdit1 do Begin
  DialogTitle := 'Localisez dans le dossier cach des application du systme le fichier "PREFS.JS"';
  DefaultExt := '.JS';
  InitialDir := format('C:\Users\%s\AppData\Roaming\Mozilla\Firefox\Profiles\"', [Get_UserName]);
  Text := InitialDir + '*\PREFS.JS';

  DoClick;
End;

end;

end.
